# Class TabixUtils.TPair64

java.lang.Object
htsjdk.tribble.util.TabixUtils.TPair64

All Implemented Interfaces:
  `Comparable<TabixUtils.TPair64>`

Enclosing class:
  `TabixUtils`

public static class TabixUtils.TPair64 extends Object implements Comparable<TabixUtils.TPair64>

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`u`
`long`
`v`

## Constructor Summary

Constructors
Constructor
Description
`TPair64(long _u, long _v)`
`TPair64(TabixUtils.TPair64 p)`

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(TabixUtils.TPair64 p)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### u

public long u

### v

public long v

## Constructor Details

### TPair64

public TPair64(long _u, long _v)

### TPair64

public TPair64(TabixUtils.TPair64 p)

## Method Details

### compareTo

public int compareTo(TabixUtils.TPair64 p)

Specified by:
  `compareTo` in interface `Comparable<TabixUtils.TPair64>`